# viewerCesiumNavigationMixin

#### viewerCesiumNavigationMixin(viewer, options)
Navigation/viewerCesiumNavigationMixin.js 34

A mixin which adds the Compass/Navigation widget to the Viewer widget. Rather than being called directly, this function is normally passed as a parameter to `Viewer#extend`, as shown in the example below.

Name | Type | Description
--- | --- | ---
`viewer` | Viewer | The viewer instance.
`options` | Object | The options.

##### Throws:

- DeveloperError : viewer is required.

##### Example:

    var viewer = new Cesium.Viewer('cesiumContainer');
    viewer.extend(viewerCesiumNavigationMixin);

##### Demo:

- run local server with examples

### Methods

#### staticCesium.viewerCesiumNavigationMixin.mixinWidget(cesiumWidget, options)
Navigation/viewerCesiumNavigationMixin.js 62

Name | Type | Description
--- | --- | ---
`cesiumWidget` | CesiumWidget | The cesium widget instance.
`options` | Object | The options.